Skip to main content

API

Create Onboarding Credit Application​

Create an onboarding credit application.

Credit Application creation requests support Idempotency, ensuring that performing multiple identical requests will have the same result as a single request.

VerbPOST
URLhttps://api.s.unit.sh/credit-applications
Required Scopecredit-applications-write
Data TypecreateOnboardingCustomerCreditApplication
Timeout (Seconds)5

Attributes​

NameTypeDescription
aggregatorAccessTokens OptionalArray of stringArray of aggregator access tokens which are Plaid (or other account linking platform) integration tokens. See Plaid processor token
annualIncome OptionalInteger (Cents)The annual income of the applicant.
numberOfEmployees OptionalNumberOfEmployeesNumber of employees of the business.
yearsInBusiness OptionalIntegerNumber of years the business has been in operation.
additionalUnderwritingData OptionaljsonObject containing key-value pairs of underwriting data per credit policy.
idempotencyKey OptionalstringSee Idempotency.

Relationships​

NameTypeDescription
application RequiredJSON:API RelationshipThe Application for which this credit application applies to.
lendingProgram RequiredJSON:API RelationshipThe LendingProgram for which this credit application is related to.
Example Request:
curl -X POST 'https://api.s.unit.sh/credit-applications'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "createOnboardingCustomerCreditApplication",
"attributes": {},
"relationships": {
"application": {
"data": {
"type": "application",
"id": "10002"
}
},
"lendingProgram": {
"data": {
"type": "lendingProgram",
"id": "1"
}
}
}
}
}'

Response​

Response is a JSON:API document.

201 Created​

NameTypeDescription
dataOnboardingCreditApplicationThe returned resource after the operation was completed.
Example Response:
{
"data": {
"type": "onboardingCustomerCreditApplication",
"id": "10",
"attributes": {
"createdAt": "2024-02-18T11:19:44.838Z",
"status": "Created",
"aggregatorAccessTokens": [],
"annualIncome": null,
"numberOfEmployees": null,
"yearsInBusiness": null,
"additionalUnderwritingData": null
},
"relationships": {
"application": {
"data": {
"type": "application",
"id": "10002"
}
},
"lendingProgram": {
"data": {
"type": "lendingProgram",
"id": "1"
}
}
}
}
}

Create Existing Credit Application​

Create an existing customer credit application.

Credit Application creation requests support Idempotency, ensuring that performing multiple identical requests will have the same result as a single request.

VerbPOST
URLhttps://api.s.unit.sh/credit-applications
Required Scopecredit-applications-write
Data TypecreateExistingCustomerCreditApplication
Timeout (Seconds)5

Attributes​

NameTypeDescription
aggregatorAccessTokens OptionalArray of stringArray of aggregator access tokens which are Plaid (or other account linking platform) integration tokens. See Plaid processor token
annualIncome OptionalInteger (Cents)The annual income of the applicant.
numberOfEmployees OptionalNumberOfEmployeesNumber of employees of the business.
yearsInBusiness OptionalIntegerNumber of years the business has been in operation.
additionalUnderwritingData OptionaljsonObject containing key-value pairs of underwriting data per credit policy.
idempotencyKey OptionalstringSee Idempotency.

Relationships​

NameTypeDescription
customer RequiredJSON:API RelationshipThe Customer for which this credit application applies to.
lendingProgram RequiredJSON:API RelationshipThe LendingProgram for which this credit application is related to.
Example Request:
curl -X POST 'https://api.s.unit.sh/credit-applications'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "createExistingCustomerCreditApplication",
"attributes": {
"annualIncome": 1,
"numberOfEmployees": "One",
"yearsInBusiness": 4,
"additionalUnderwritingData": {
"dad": "dada"
}
},
"relationships": {
"customer": {
"data": {
"type": "customer",
"id": "10002"
}
},
"lendingProgram": {
"data": {
"type": "lendingProgram",
"id": "1"
}
}
}
}
}'

Response​

Response is a JSON:API document.

201 Created​

NameTypeDescription
dataExistingCustomerCreditApplicationThe returned resource after the operation was completed.
Example Response:
{
"data": {
"type": "existingCustomerCreditApplication",
"id": "12",
"attributes": {
"createdAt": "2024-02-18T12:33:32.158Z",
"status": "Pending",
"aggregatorAccessTokens": [],
"annualIncome": 1,
"numberOfEmployees": "One",
"yearsInBusiness": 4,
"additionalUnderwritingData": {
"dad": "dada"
}
},
"relationships": {
"customer": {
"data": {
"type": "customer",
"id": "10002"
}
},
"lendingProgram": {
"data": {
"type": "lendingProgram",
"id": "1"
}
}
}
}
}

Update​

Update a credit application.

VerbPATCH
URLhttps://api.s.unit.sh/credit-applications/:creditApplicationId
Data TypepatchCreditApplication
Timeout (Seconds)5

Attributes​

NameTypeDescription
aggregatorAccessTokens OptionalArray of stringArray of aggregator access tokens which are Plaid (or other account linking platform) integration tokens. See Plaid processor token
annualIncome OptionalInteger (Cents)The annual income of the applicant.
numberOfEmployees OptionalNumberOfEmployeesNumber of employees of the business.
yearsInBusiness OptionalIntegerNumber of years the business has been in operation.
additionalUnderwritingData OptionaljsonObject containing key-value pairs of underwriting data per credit policy.
curl -X PATCH 'https://api.s.unit.sh/credit-applications/42'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "patchCreditApplication",
"attributes": {
"numberOfEmployees": "Between2And5"
}
}
}'

Response​

Response is a JSON:API document.

200 OK​

NameTypeDescription
dataExistingCustomerCreditApplication / OnboardingCreditApplicationThe requested resource after the operation was completed.
Example Response:
{
"data": {
"type": "existingCustomerCreditApplication",
"id": "12",
"attributes": {
"createdAt": "2024-02-18T12:33:32.158Z",
"status": "Pending",
"aggregatorAccessTokens": [],
"annualIncome": 1,
"numberOfEmployees": "One",
"yearsInBusiness": 4,
"additionalUnderwritingData": {
"dad": "dada"
}
},
"relationships": {
"customer": {
"data": {
"type": "customer",
"id": "10002"
}
},
"lendingProgram": {
"data": {
"type": "lendingProgram",
"id": "1"
}
}
}
}
}

Get by Id​

Get a dispute resource by id.

VerbGET
URLhttps://api.s.unit.sh/credit-applications/{id}
Required Scopecredit-applications-read
Timeout (Seconds)5

Response​

Response is a JSON:API document.

200 OK​

NameTypeDescription
dataExistingCustomerCreditApplication / OnboardingCreditApplicationA credit application resource.
curl -X GET 'https://api.s.unit.sh/credit-applications/42' \
-H "Authorization: Bearer ${TOKEN}"

List​

List credit applications resources. Paging can be applied.

VerbGET
URLhttps://api.s.unit.sh/credit-applications
Required Scopecredit-applications-read
Timeout (Seconds)5

Query Parameters​

NameTypeDefaultDescription
page[limit]integer100Optional. Maximum number of resources that will be returned. Maximum is 1000 resources. See Pagination.
page[offset]integer0Optional. Number of resources to skip. See Pagination.
filter[lendingProgramId]string(empty)Optional. Search resources by lending program id.
filter[orgId]string(empty)Optional. Search resources by organization id.
filter[bankId]string(empty)Optional. Search resources by bank id.
filter[applicationId]string(empty)Optional. Search resources by application id.
filter[customerId]string(empty)Optional. Search resources by customer id.

Response​

Response is a JSON:API document.

200 OK​

NameTypeDescription
dataArray of ExistingCustomerCreditApplication / OnboardingCreditApplicationArray of credit application resources.
curl -X GET 'https://api.s.unit.sh/credit-applications?page[limit]=20' \
-H "Authorization: Bearer ${TOKEN}"